Package org.eclipse.ecf.remoteservice.asyncproxy

# Class AsyncReturnUtil

java.lang.Object
org.eclipse.ecf.remoteservice.asyncproxy.AsyncReturnUtil

public class AsyncReturnUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`AsyncReturnUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`convertAsyncToReturn(Object returnObject, Class<?> asyncReturnType, long timeout)`
`static Object`
`convertReturnToAsync(Object returnObject, Class<?> returnType)`
`static Object`
`convertReturnToAsync(Object returnObject, String returnType)`
`static boolean`
`isAsyncType(Class<?> type)`
`static boolean`
`isAsyncType(String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncReturnUtil

public AsyncReturnUtil()

## Method Details

### isAsyncType

public static boolean isAsyncType(Class<?> type)

### isAsyncType

public static boolean isAsyncType(String className)

### convertAsyncToReturn

public static Object convertAsyncToReturn(Object returnObject, Class<?> asyncReturnType, long timeout) throws InterruptedException, ExecutionException, TimeoutException, InvocationTargetException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`
  `InvocationTargetException`

### convertReturnToAsync

public static Object convertReturnToAsync(Object returnObject, Class<?> returnType)

### convertReturnToAsync

public static Object convertReturnToAsync(Object returnObject, String returnType)